
@import "~_matTheme.scss";
.mat-elevation-z8{
  width: 70%;
  box-shadow: none;
  mat-form-field{
    width: 300px;
    margin:15px 20px; 
    .mat-form-field-label
    {
      font-size: 13px !important;
    }
  }
}
::ng-deep table {
   width: 100%;
    box-shadow: none !important;
    border-collapse: separate;
    border-spacing: 0px 5px !important;      
    padding: 0 20px;  
    thead{
      background: none !important;
      tr.mat-header-row{
        height: 35px;
      }
      td.mat-cell, td.mat-footer-cell, th.mat-header-cell {
        border-bottom: none !important;;
    
      }
      .mat-header-cell {
        color: rgb(66, 66, 66);
        font-weight: 500;
    }
    }
    tbody{
      background: none !important;
      tr.mat-row {
        height: 40px;
        background-color:#f5f0f9;
    }
    td.mat-cell, td.mat-footer-cell, th.mat-header-cell {
      border-bottom: none !important;;
  
    }
    tr td:first-child { border-top-left-radius: 5px; }
    tr td:last-child { border-top-right-radius: 5px; }
    tr td:first-child { border-bottom-left-radius: 5px; }
    tr td:last-child { border-bottom-right-radius: 5px; }
    
.mat-cell {
  color: #8e8796;
  font-size: 13px;
  font-weight: 500;
}
    }
    .mat-icon{
      font-size: 15px;
      height: 25px;
      line-height: 25px;
    }
    .declineButton{
      width: 30px;
      height: 30px !important;
      line-height: 25px;
    }
    .approveButton{
      width: 30px;
      height: 30px !important;
      line-height: 25px;
      background: $primaryColor !important;      
      color: $white !important;
    }
    .approvedStatus{
      height: 24px;
      &::ng-deep .mat-button-toggle-label-content{
          line-height: 23px;
          padding: 0 5px 0 0;
      }
      .apporveCheck{
        background: $primaryColor !important;
        color: $white;
      }
      .declineCheck{
        background: rgba($black,0.1) !important;
        color: rgba($black,0.5) !important;
      }
    }
    .mat-mini-fab .mat-button-wrapper{
      padding: 0;
    }

    .th1{width:5%;}.th2{width:15%;}.th3{width:15%;}.th4{ width:15%;}.th5{width:15%;}.th6{width:10%;}.th7{width:10%;}.th8{text-align: center !important; width:10%;}
  }
  
  .mat-form-field {
    font-size: 14px;
    width: 100%;
  }
  
